﻿using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Configuration.UserSecrets;
using WF_WebAdmin.Model;



namespace WF_WebAdmin.Pages
{
    public partial class Login
    {
        private UserLogin userLogin = new UserLogin();

        private string TestConnexion = "Pas connexion";

        private List<UserLogin> usersConnexion;
        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            usersConnexion = await Http.GetFromJsonAsync<List<UserLogin>>($"{NavigationManager.BaseUri}fake-dataUserLogin.json");
        }


        public void validlogin()
        {
            if (!string.IsNullOrEmpty(userLogin.Name))
            {
                foreach (var user in usersConnexion)
                {
                    if(userLogin.Name == user.Name)
                    {
                        if(user.IsAdmin)
                        {
                            TestConnexion = $"Connecté en tant que {user.Name}";
                        }
                        else
                        {
                            TestConnexion = "Connexion échouée, pas admin";
                        }
                        
                    }
                }
                
            }
                
        }
    }
}